function onBegin()
if not getFlag("solex_over") then
    makeUnskippable()
    disableRetry()
    disableMovement()
	walkTo(16446, false, 1.0, false)
    end
end

function onEnd()
    enableRetry()
    enableMovement()
end